key_struct Struct Reference

`#include <keys.h>`

## Data Fields

ldns_rr * | dnskey
hsm_sign_params_t * | params
const char * | locator
const char * | resourcerecord
uint8_t | algorithm
uint32_t | flags
int | publish
int | ksk
int | zsk

## Detailed Description

Key.

Definition at line 50 of file keys.h.

## Field Documentation

## algorithm

uint8_t key_struct::algorithm

Definition at line 55 of file keys.h.

Referenced by keylist_push(), lhsm_get_key(), lhsm_sign(), parse_sc_keys(), and rrset_sign().

## dnskey

ldns_rr* key_struct::dnskey

Definition at line 51 of file keys.h.

Referenced by keylist_push(), lhsm_get_key(), lhsm_sign(), zone_publish_dnskeys(), and zone_rollback_dnskeys().

## flags

uint32_t key_struct::flags

Definition at line 56 of file keys.h.

Referenced by keylist_push(), lhsm_get_key(), lhsm_sign(), parse_sc_keys(), and rrset_sign().

## ksk

int key_struct::ksk

Definition at line 58 of file keys.h.

Referenced by keylist_push(), parse_sc_keys(), rrset_sign(), and zone_prepare_keys().

## locator

const char* key_struct::locator

Definition at line 53 of file keys.h.

Referenced by keylist_lookup_by_locator(), keylist_push(), lhsm_get_key(), lhsm_sign(), rrset_sign(), and zone_publish_dnskeys().

## params

hsm_sign_params_t* key_struct::params

Definition at line 52 of file keys.h.

Referenced by keylist_push(), lhsm_get_key(), lhsm_sign(), and zone_prepare_keys().

## publish

int key_struct::publish

Definition at line 57 of file keys.h.

Referenced by keylist_push(), parse_sc_keys(), rrset_sign(), zone_prepare_keys(), and zone_publish_dnskeys().

## resourcerecord

const char* key_struct::resourcerecord

Definition at line 54 of file keys.h.

Referenced by keylist_push(), and zone_publish_dnskeys().

## zsk

int key_struct::zsk

Definition at line 59 of file keys.h.

Referenced by keylist_push(), parse_sc_keys(), rrset_sign(), and zone_prepare_keys().

The documentation for this struct was generated from the following file:

- src/signer/keys.h